Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.renderers
Interface Renderer

All Known Implementing Classes:
  AbstractRenderer, CSVRenderer, EmacsRenderer, HTMLRenderer, IDEAJRenderer, OnTheFlyRenderer, PapariTextRenderer, SummaryHTMLRenderer, TextPadRenderer, TextRenderer, VBHTMLRenderer, XMLRenderer, XSLTRenderer, YAHTMLRenderer

    public interface Renderer

Method Summary
`void` | `end()`
`java.io.Writer` | `getWriter()`
`java.lang.String` | `render(Report report)` Deprecated. This method consumes too much memory. Use the render method with the Writer argument instead.
`void` | `render(java.io.Writer writer, Report report)` Deprecated. This method consumes too much memory. Use the start, renderFileReport and end methods instead.
`void` | `renderFileReport(Report report)`
`void` | `setWriter(java.io.Writer writer)`
`void` | `showSuppressedViolations(boolean show)`
`void` | `start()`
`void` | `startFileAnalysis(DataSource dataSource)`

Method Detail

### showSuppressedViolations

    void showSuppressedViolations(boolean show)

### render

    java.lang.String render(Report report)

  Deprecated. This method consumes too much memory. Use the render method with the Writer argument instead.

### render

    void render(java.io.Writer writer,
                Report report)
                throws java.io.IOException

  Deprecated. This method consumes too much memory. Use the start, renderFileReport and end methods instead.

  Throws:
    `java.io.IOException`

### setWriter

    void setWriter(java.io.Writer writer)

### getWriter

    java.io.Writer getWriter()

### start

    void start()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### startFileAnalysis

    void startFileAnalysis(DataSource dataSource)

### renderFileReport

    void renderFileReport(Report report)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### end

    void end()
             throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.